Bug 1445 - need summary
need summary
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-07 04:01 EST by Harvey Stein
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-15 12:48:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harvey Stein 1999-03-07 04:01:34 EST
Even though I compiled 2.2.0-final with kmod, the system
startup was
still running kerneld.  This is strange because
/etc/rc.d/rc.sysinit
seems to take pains to not run kerneld if kmod is supported:

   if [ -x /sbin/kerneld -a -n "$USEMODULES" ]; then
       if [ -f /proc/sys/kernel/modprobe ]; then
	   # /proc/sys/kernel/modprobe indicates built-in kmod
instead
	   echo "/sbin/modprobe" > /proc/sys/kernel/modprobe
       else
	   /sbin/kerneld
	   KERNELD=yes
       fi
   fi

(BTW, note the ugly use of -x /sbin/kerneld to detect
whether or not
the module package is installed, without which kmod can't be
used
anyway.  I notice that the rc.sysinit script in the beta
release looks
a little better on this point.)

What was strange was that kerneld was still running on my
system.

I traced this down to S01kerneld symlinks in the rc.d/rc*.d
directories pointing to a kerneld script in
/etc/rc.d/init.d.  The
kerneld script is owned by modutils.

So, now that kerneld is appropriately started by rc.sysinit,
the
kerneld script & symlinks should be removed from the
modutils package.

This bug exists in 5.2.  I checked the scripts in the beta
release &
the same situation appears to occur, so it looks like it's
also a beta
bug.
Comment 1 Bill Nottingham 1999-03-15 11:59:59 EST
The startup script for kerneld that comes with modutils
is the same as in 5.2; if the user requests that
kerneld be started (via ntsysv/chkconfig), it will be.
It can be changed so it defaults to off, though.
Comment 2 Bill Nottingham 1999-03-15 12:41:59 EST
fixed so kerneld isn't started by default in modutils-2.1.121-5,
although any old settings will still get honored.
Comment 3 Bill Nottingham 1999-03-15 12:42:59 EST
actually, the initscript is now toast, since initscripts takes
care of kerneld.
Comment 4 Bill Nottingham 1999-03-15 12:48:59 EST
initscript put back in, since people might want it for module
unloading. (I should stop talking to myself.)

Note You need to log in before you can comment on or make changes to this bug.